﻿@{
    Layout = "~/Views/Shared/_Layout.cshtml";
}
@using DP.Services.Data.Models;
@model List<PollMaster>
<br /><br /><br />
<div class="row">
    <div class="col-md-12 col-sm-12 col-xs-12">
        <div class="panel panel-default">
            <div class="panel-heading">
                <div class="row">
                    <div class="col-md-11 col-sm-9 col-xs-9">
                        POLL
                    </div>
                    <div class="col-md-1 col-sm-2 col-xs-2">
                        <a href="javascript:void(0)" class="btn btn-default btn-toggle-poll"><i class="fa fa-plus fa-fw"></i>New</a>
                    </div>
                </div>
            </div>
            <!-- /.panel-heading -->
            <form role="form" id="form-poll-create" style="display:none;" onsubmit="javascript:void(0)">
                <div class="row">
                    <div class="col-md-offset-2 col-md-8 col-md-offset-2">
                        <div class="form-group">
                            <label for="question">Question</label>
                            <textarea type="text" maxlength="250" name="question" class="form-control"></textarea>
                        </div>
                        <div class="form-group">
                            <div class="col-md-3">
                                <label for="yesText">Yes Label Text</label>
                                <input type="text" name="yesText" maxlength="10" class="form-control" placeholder="Default: Yes" />
                            </div>
                            <div class="col-md-3">
                                <label for="noText">No Label Text</label>
                                <input type="text" name="noText" maxlength="10" class="form-control" placeholder="Default: No"/>
                            </div>
                            <div class="col-md-3">
                                <div class="checkbox checkbox-success" style="display: inline-block;">
                                    <input id="poll-master-active" name="active" class="styled" type="checkbox" checked />
                                    <label for="poll-master-active"></label>
                                </div>
                                <b>Active</b>
                            </div>
                        </div>
                        <div class="form-group">
                            <a class="btn btn-primary btn-create-poll-master" href="javascript:void(0)">Save</a>
                        </div>
                    </div>
                </div>
            </form>
            <div class="panel-body" id="panel-poll-list">

                @foreach (var pm in Model)
                {

                        <div class="col-md-4" style="border:solid 1px rgba(51, 122, 183, 0.12)">
                            <form role="form" id="poll-master-form-@pm.Id" onsubmit="javascript:void(0)">
                                <div class="form-group">
                                    <label for="question">Question</label>
                                    <textarea type="text" maxlength="250" name="question" class="form-control">@pm.Question</textarea>
                                </div>
                                <div class="form-group">
                                    <div class="col-md-4">
                                        <label for="yesText">Yes Label Text</label>
                                        <input type="text" name="yesText" maxlength="10" class="form-control"value="@pm.YesText" />
                                    </div>
                                    <div class="col-md-4">
                                        <label for="noText">No Label Text</label>
                                        <input type="text" name="noText" maxlength="10" class="form-control" value="@pm.NoText"/>
                                    </div>
                                    <div class="col-md-4">
                                        <div class="checkbox checkbox-success" style="display: inline-block;">
                                            <input id="poll-master-active-@pm.Id" name="active" class="styled" type="checkbox" @(pm.Active == true ? "checked" : "") />
                                            <label for="poll-master-active-@pm.Id"></label>
                                        </div>
                                        <b>Active</b>
                                    </div>
                                    <div class="col-md-4">
                                        <a href="javascript:void(0)" class="btn btn-primary btn-sm  btn-save-poll-master" data-pollmaster-id="@pm.Id">Update</a>
                                    </div>
                                </div>
                            </form>
                        </div>
                }
            </div>
        </div>
    </div>
</div>
<script type="text/javascript" src="~/Scripts/modules/poll.js"></script>

